Subject: Re: bug#78274: SSL syscall failure error in guix pull

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 09 May 2025 11:04:11 +0900

tag 78274 + notabug
thanks

Hi,

[email-masked] writes:

> Hello guix,
>
> Last week I downloaded the latest iso of Guix System (v2ih7qy0xrh4w8hp9zd4r06kknbg95jr-image.iso) and after installed it I tried to run guix pull and got this error:
>
> ```
> $ guix pull
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> guix pull: error: Git error: SSL error: syscall failure: Resource temporarily unavailable
> ```

I believe the error is accurate: the Savannah Git server has been having
DDoS issues as of recently, IIUC, and is struggling to serve requests.
Often, a 502 error is returned.

Your best bet is to try again after some time.  We'll be migrating to a
different Git server/forge soon (1 month time), so that should help.

Thanks for the report!

-- 
Thanks,
Maxim